Name:           python-osmnx
Version:        1.9.3
Release:        %autorelease
Summary:        Download, model, analyze, and visualize street networks and other geospatial features from OpenStreetMap

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://pypi.org/project/osmnx/
Source:         %{pypi_source osmnx}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'osmnx' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-osmnx
Summary:        %{summary}

%description -n python3-osmnx %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-osmnx entropy,neighbors,raster,visualization


%prep
%autosetup -p1 -n osmnx-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x entropy,neighbors,raster,visualization


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-osmnx -f %{pyproject_files}


%changelog
%autochangelog